Bug 207271 - editors/emacs-devel: fix build on 9
Summary: editors/emacs-devel: fix build on 9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-17 05:10 UTC by Joseph Mingrone
Modified: 2016-03-08 14:45 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ashish)


Attachments
patch to fix build on 9 (584 bytes, patch)
2016-02-17 05:10 UTC, Joseph Mingrone
no flags Details | Diff
emacs-devel update to 25.0.92 along with the fix (4.07 KB, patch)
2016-03-07 14:10 UTC, Ashish SHUKLA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2016-02-17 05:10:46 UTC
Created attachment 167105 [details]
patch to fix build on 9

portlint: OK
testport: OK (poudriere: 10.1-RELEASE-p17, amd64, default options)
testport: OK (poudriere: 10.1-RELEASE-p17, i386,  default options)
testport: OK (poudriere: 9.3-RELEASE-p30,  amd64, default options)
testport: OK (poudriere: 9.3-RELEASE-p36,  i386,  default options)

I didn't also update to the second pretest (25.0.91), because a new issue was introduced in 9.
Comment 1 Ashish SHUKLA freebsd_committer 2016-03-07 14:10:17 UTC
Created attachment 167813 [details]
emacs-devel update to 25.0.92 along with the fix

Hi Joseph,

Sorry for the delay.

I updated your diff to latest pretest (25.0.92), and tested in a 9.x host, and seems to build/run fine without X11 though.

Could you see if it works for you too, esp. w.r.t. the issue you mentioned in your original email ?

Thanks!
Comment 2 Joseph Mingrone freebsd_committer 2016-03-08 02:47:45 UTC
Hi Ashish,

I built with your latest patch using the default options in a poudriere 9amd64 jail and there were no problems.  I installed the package in a 9.3-RELEASE VM and fiddled around in Emacs under Xorg for about 15 minutes and didn't encounter any problems.

I also upgraded the package on my FreeBSD 10-STABLE laptop and haven't encountered any problems there either.

I think we're good to go.

Joseph
Comment 3 commit-hook freebsd_committer 2016-03-08 14:44:22 UTC
A commit references this bug:

Author: ashish
Date: Tue Mar  8 14:43:36 UTC 2016
New revision: 410618
URL: https://svnweb.freebsd.org/changeset/ports/410618

Log:
  - Update to latest pretest version 25.0.92
  - Unbreak on FreeBSD 9.x[1]

  PR:		207271
  Submitted by:	Joseph Mingrone <jrm at ftfl dot ca>[1]

Changes:
  head/editors/emacs-devel/Makefile
  head/editors/emacs-devel/distinfo
  head/editors/emacs-devel/pkg-plist
Comment 4 Ashish SHUKLA freebsd_committer 2016-03-08 14:45:15 UTC
Committed. Thanks for the diff, and the testing.